from .action import Action, Publish, TasmotaShutter
from .scene import Scene

class Sleep(Scene):

    ON = [
        Publish('cmnd/tasmota/screen/Screen/POWER').Payload('OFF').Qos(2)\
                .CheckResponse('stat/tasmota/screen/Screen/POWER', 'OFF', 3),
        Publish('cmnd/tasmota/light/LivingroomFireplace/POWER').Payload('OFF').Qos(2),
        TasmotaShutter('Bedroom1x1').Close(),
        TasmotaShutter('Bedroom1x2').Close(),
        TasmotaShutter('Staircase1').Close(),
        TasmotaShutter('Bathroom').Close(),
    ]

    WATCH = [
            ('stat/tasmota/screen/Screen/POWER', 'OFF')
    ]
